import { z } from 'zod';

// 结束会话请求验证模式
export const endSessionSchema = z.object({
    id_token_hint: z.string().optional(),
    post_logout_redirect_uri: z.string().url().optional(),
    state: z.string().optional(),
    client_id: z.string().optional(), // OIDC规范要求
});

// 会话检查请求验证模式
export const checkSessionSchema = z.object({
    client_id: z.string(),
    origin: z.string().optional(),
});

// 类型定义
export type EndSessionRequest = z.infer<typeof endSessionSchema>;
export type CheckSessionRequest = z.infer<typeof checkSessionSchema>; 